Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023979
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-06-04 14:002013-07-16 15:42
ReporterjecharriView Statuspublic 
Assigned Toguilleaer 
PriorityurgentResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revisionf4cb125efa83
ProjectionnoneETAnoneTarget VersionRMP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023979: It is not possible to delete discrectionary discounts after applied

DescriptionIt is not possible to delete discrectionary discounts after applied
Steps To Reproduce-Go to window "discounts and promotions"

-Create a "discretionary discount"

-Login in web POS and create a ticket

-Apply a discretionary discount

You will see that it does not exist the chance to delete de discount.

You have to delete the ticket line and create a new one.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059871)
hgbot (developer)
2013-07-04 17:56

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: f4cb125efa83fbc7cc58b0431584671f5027cf2d
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Jul 04 17:55:53 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f4cb125efa83fbc7cc58b0431584671f5027cf2d [^]

fixed issue 0023979: discretionary discounts can be removed using a new button. This button is located in the edit tab and is shown just when the line has ONLY discretionary discounts applied

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0059918)
hgbot (developer)
2013-07-08 15:26

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: f4cb125efa83fbc7cc58b0431584671f5027cf2d
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Jul 04 17:55:53 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/f4cb125efa83fbc7cc58b0431584671f5027cf2d [^]

fixed issue 0023979: discretionary discounts can be removed using a new button. This button is located in the edit tab and is shown just when the line has ONLY discretionary discounts applied

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---

- Issue History
Date Modified Username Field Change
2013-06-04 14:00 jecharri New Issue
2013-06-04 14:00 jecharri Assigned To => guilleaer
2013-06-04 14:01 jecharri Target Version => RMP25
2013-07-04 17:56 hgbot Checkin
2013-07-04 17:56 hgbot Note Added: 0059871
2013-07-04 17:56 hgbot Status new => resolved
2013-07-04 17:56 hgbot Resolution open => fixed
2013-07-04 17:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f4cb125efa83fbc7cc58b0431584671f5027cf2d [^]
2013-07-08 15:26 hgbot Checkin
2013-07-08 15:26 hgbot Note Added: 0059918
2013-07-08 15:26 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f4cb125efa83fbc7cc58b0431584671f5027cf2d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/f4cb125efa83fbc7cc58b0431584671f5027cf2d [^]
2013-07-16 15:42 marvintm Review Assigned To => marvintm
2013-07-16 15:42 marvintm Status resolved => closed
2013-07-16 15:42 marvintm Fixed in Version => RMP25


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker